=== modified file '.bzrignore'
--- .bzrignore	2014-10-01 05:48:29 +0000
+++ .bzrignore	2018-01-02 09:22:28 +0000
@@ -27,7 +27,7 @@
 po/stamp-it
 po/.intltool-merge-cache
 data/foxtrotgps.desktop
-data/apps_foxtrotgps.schemas
+data/org.foxtrotgps.gschema.valid
 po/Makefile.in.in
 ./ChangeLog
 .project

=== modified file 'configure.ac'
--- configure.ac	2018-01-02 09:22:28 +0000
+++ configure.ac	2018-01-02 09:22:28 +0000
@@ -35,13 +35,7 @@
                              [Heartrate-monitor support is enabled])],
                   [AC_MSG_WARN([Building without heartrate-monitor support])])
 
-AC_PATH_PROG(GCONFTOOL2, [gconftool-2])
-if test -z "$GCONFTOOL2"
-then
-    AC_MSG_ERROR([gconftool-2 is required for installation.])
-fi
-
-AM_GCONF_SOURCE_2
+GLIB_GSETTINGS
 
 AC_CONFIG_FILES([
 Makefile

=== modified file 'data/Makefile.am'
--- data/Makefile.am	2011-05-03 02:46:21 +0000
+++ data/Makefile.am	2018-01-02 09:22:28 +0000
@@ -7,26 +7,15 @@
 @INTLTOOL_DESKTOP_RULE@
 
 
-gconf_schemadir = $(GCONF_SCHEMA_FILE_DIR)
-gconf_schema_in_files = apps_foxtrotgps.schemas.in
-gconf_schema_DATA = $(gconf_schema_in_files:.schemas.in=.schemas)
-
-@INTLTOOL_SCHEMAS_RULE@
-
-if GCONF_SCHEMAS_INSTALL
-install-data-local:
-	GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) \
-	$(GCONFTOOL2) --makefile-install-rule $(gconf_schema_DATA)
-
-uninstall-local:
-	GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) \
-	$(GCONFTOOL2) --makefile-uninstall-rule $(gconf_schema_DATA)
-endif
+gsettings_SCHEMAS = org.foxtrotgps.gschema.xml
+
+data_convertdir = $(datadir)/GConf/gsettings
+dist_data_convert_DATA = org.foxtrotgps.convert
+
+@GSETTINGS_RULES@
 
 
 dist_pkgdata_DATA = foxtrotgps.glade
 
-EXTRA_DIST = $(foxtrotgps_data_in_files) $(gconf_schema_in_files)
-DISTCLEANFILES = \
-	$(foxtrotgps_data_in_files:.desktop.in=.desktop) \
-	$(gconf_schema_in_files:.schemas.in=.schemas)
+EXTRA_DIST = $(foxtrotgps_data_in_files) $(gsettings_SCHEMAS)
+DISTCLEANFILES = $(foxtrotgps_data_in_files:.desktop.in=.desktop)

=== removed file 'data/apps_foxtrotgps.schemas.in'
--- data/apps_foxtrotgps.schemas.in	2011-06-06 03:40:34 +0000
+++ data/apps_foxtrotgps.schemas.in	1970-01-01 00:00:00 +0000
@@ -1,259 +0,0 @@
-<gconfschemafile>
-  <schemalist>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/gpsd_host</key>
-      <applyto>/apps/foxtrotgps/gpsd_host</applyto>
-      <owner>foxtrotgps</owner>
-      <type>string</type>
-      <default>localhost</default>
-      <locale name="C">
-        <short>GPSD host</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/gpsd_port</key>
-      <applyto>/apps/foxtrotgps/gpsd_port</applyto>
-      <owner>foxtrotgps</owner>
-      <type>string</type>
-      <default>2947</default>
-      <locale name="C">
-        <short>GPSD port</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/latlon_unit</key>
-      <applyto>/apps/foxtrotgps/latlon_unit</applyto>
-      <owner>foxtrotgps</owner>
-      <type>int</type>
-      <default>0</default>
-      <locale name="C">
-        <short>Latitude/longitude unit</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/alt_unit</key>
-      <applyto>/apps/foxtrotgps/alt_unit</applyto>
-      <owner>foxtrotgps</owner>
-      <type>int</type>
-      <default>0</default>
-      <locale name="C">
-        <short>Altitude unit</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/speed_unit</key>
-      <applyto>/apps/foxtrotgps/speed_unit</applyto>
-      <owner>foxtrotgps</owner>
-      <type>int</type>
-      <default>0</default>
-      <locale name="C">
-        <short>Speed unit</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/repo_name</key>
-      <applyto>/apps/foxtrotgps/repo_name</applyto>
-      <owner>foxtrotgps</owner>
-      <type>string</type>
-      <default>OSM</default>
-      <locale name="C">
-        <short>The active map-repository</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/repos</key>
-      <applyto>/apps/foxtrotgps/repos</applyto>
-      <owner>foxtrotgps</owner>
-      <type>list</type>
-      <list_type>string</list_type>
-      <locale name="C">
-        <short>Map-repository definitions</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/auto_download</key>
-      <applyto>/apps/foxtrotgps/auto_download</applyto>
-      <owner>foxtrotgps</owner>
-      <type>bool</type>
-      <default>true</default>
-      <locale name="C">
-        <short>Automatically download map-tiles as needed</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/no_redownload</key>
-      <applyto>/apps/foxtrotgps/no_redownload</applyto>
-      <owner>foxtrotgps</owner>
-      <type>bool</type>
-      <default>false</default>
-      <locale name="C">
-        <short>Avoid re-downloading cached tiles</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/tracklog_on</key>
-      <applyto>/apps/foxtrotgps/tracklog_on</applyto>
-      <owner>foxtrotgps</owner>
-      <type>bool</type>
-      <default>false</default>
-      <locale name="C">
-        <short>Log tracks to a local file</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/track_dir</key>
-      <applyto>/apps/foxtrotgps/track_dir</applyto>
-      <owner>foxtrotgps</owner>
-      <type>string</type>
-      <locale name="C">
-        <short>The directory into which track-files are written</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/global_x</key>
-      <applyto>/apps/foxtrotgps/global_x</applyto>
-      <owner>foxtrotgps</owner>
-      <type>int</type>
-      <default>890</default>
-      <locale name="C">
-        <short>Horizontal viewport-coordinate</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/global_y</key>
-      <applyto>/apps/foxtrotgps/global_y</applyto>
-      <owner>foxtrotgps</owner>
-      <type>int</type>
-      <default>515</default>
-      <locale name="C">
-        <short>Vertical viewport-coordinate</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/global_zoom</key>
-      <applyto>/apps/foxtrotgps/global_zoom</applyto>
-      <owner>foxtrotgps</owner>
-      <type>int</type>
-      <default>3</default>
-      <locale name="C">
-        <short>Viewport zoom-level</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/global_detail_zoom</key>
-      <applyto>/apps/foxtrotgps/global_detail_zoom</applyto>
-      <owner>foxtrotgps</owner>
-      <type>int</type>
-      <default>0</default>
-      <locale name="C">
-        <short>Detail scale-factor</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/myposition_lat</key>
-      <applyto>/apps/foxtrotgps/myposition_lat</applyto>
-      <owner>foxtrotgps</owner>
-      <type>float</type>
-      <default>0</default>
-      <locale name="C">
-        <short>`My position', latitude</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/myposition_lon</key>
-      <applyto>/apps/foxtrotgps/myposition_lon</applyto>
-      <owner>foxtrotgps</owner>
-      <type>float</type>
-      <default>0</default>
-      <locale name="C">
-        <short>`My position', longitude</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/fftimer_running</key>
-      <applyto>/apps/foxtrotgps/fftimer_running</applyto>
-      <owner>foxtrotgps</owner>
-      <type>bool</type>
-      <default>false</default>
-      <locale name="C">
-        <short>Publish your location &amp; show others' locations</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/ffupdate_interval_minutes</key>
-      <applyto>/apps/foxtrotgps/ffupdate_interval_minutes</applyto>
-      <owner>foxtrotgps</owner>
-      <type>float</type>
-      <default>5</default>
-      <locale name="C">
-        <short>Friend-finder update interval, in minutes</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/me_msg</key>
-      <applyto>/apps/foxtrotgps/me_msg</applyto>
-      <owner>foxtrotgps</owner>
-      <type>string</type>
-      <locale name="C">
-        <short>Status-message to publish in the friend-finder</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/nick</key>
-      <applyto>/apps/foxtrotgps/nick</applyto>
-      <owner>foxtrotgps</owner>
-      <type>string</type>
-      <locale name="C">
-        <short>Friend-finder username</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/pass</key>
-      <applyto>/apps/foxtrotgps/pass</applyto>
-      <owner>foxtrotgps</owner>
-      <type>string</type>
-      <locale name="C">
-        <short>Friend-finder password</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/geocode_correction</key>
-      <applyto>/apps/foxtrotgps/geocode_correction</applyto>
-      <owner>foxtrotgps</owner>
-      <type>int</type>
-      <default>0</default>
-      <locale name="C">
-        <short>Number of seconds by which photo timestamps must be corrected for geocoding</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/geocode_timezone</key>
-      <applyto>/apps/foxtrotgps/geocode_timezone</applyto>
-      <owner>foxtrotgps</owner>
-      <type>int</type>
-      <default>13</default>
-      <locale name="C">
-        <short>Treat photo-timestamps as being relative to this timezone (UTC=13)</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/hrm_bt_addr</key>
-      <applyto>/apps/foxtrotgps/hrm_bt_addr</applyto>
-      <owner>foxtrotgps</owner>
-      <type>string</type>
-      <locale name="C">
-        <short>The Bluetooth address of your heartrate-monitor</short>
-      </locale>
-    </schema>
-    <schema>
-      <key>/schemas/apps/foxtrotgps/hrm_on</key>
-      <applyto>/apps/foxtrotgps/hrm_on</applyto>
-      <owner>foxtrotgps</owner>
-      <type>bool</type>
-      <default>false</default>
-      <locale name="C">
-        <short>Use the heartrate-monitor specified in hrm_bt_addr</short>
-      </locale>
-    </schema>
-  </schemalist>
-</gconfschemafile>

=== added file 'data/org.foxtrotgps.convert'
--- data/org.foxtrotgps.convert	1970-01-01 00:00:00 +0000
+++ data/org.foxtrotgps.convert	2018-01-02 09:22:28 +0000
@@ -0,0 +1,27 @@
+[org.foxtrotgps:/org/foxtrotgps/]
+gpsd-host = /apps/foxtrotgps/gpsd_host
+gpsd-port = /apps/foxtrotgps/gpsd_port
+latlon-unit = /apps/foxtrotgps/latlon_unit
+alt-unit = /apps/foxtrotgps/alt_unit
+speed-unit = /apps/foxtrotgps/speed_unit
+repo-name = /apps/foxtrotgps/repo_name
+repos = /apps/foxtrotgps/repos
+auto-download = /apps/foxtrotgps/auto_download
+no-redownload = /apps/foxtrotgps/no_redownload
+tracklog-on = /apps/foxtrotgps/tracklog_on
+track-dir = /apps/foxtrotgps/track_dir
+global-x = /apps/foxtrotgps/global_x
+global-y = /apps/foxtrotgps/global_y
+global-zoom = /apps/foxtrotgps/global_zoom
+global-detail-zoom = /apps/foxtrotgps/global_detail_zoom
+myposition-lat = /apps/foxtrotgps/myposition_lat
+myposition-lon = /apps/foxtrotgps/myposition_lon
+fftimer-running = /apps/foxtrotgps/fftimer_running
+ffupdate-interval-minutes = /apps/foxtrotgps/ffupdate_interval_minutes
+me-msg = /apps/foxtrotgps/me_msg
+nick = /apps/foxtrotgps/nick
+pass = /apps/foxtrotgps/pass
+geocode-correction = /apps/foxtrotgps/geocode_correction
+geocode-timezone = /apps/foxtrotgps/geocode_timezone
+hrm-bt-addr = /apps/foxtrotgps/hrm_bt_addr
+hrm-on = /apps/foxtrotgps/hrm_on

=== added file 'data/org.foxtrotgps.gschema.xml'
--- data/org.foxtrotgps.gschema.xml	1970-01-01 00:00:00 +0000
+++ data/org.foxtrotgps.gschema.xml	2018-01-02 09:22:28 +0000
@@ -0,0 +1,108 @@
+<schemalist>
+  <schema id="org.foxtrotgps" path="/org/foxtrotgps/" gettext-domain="foxtrotgps">
+    <key name="gpsd-host" type="s">
+      <default>'localhost'</default>
+      <summary>GPSD host</summary>
+    </key>
+    <key name="gpsd-port" type="s">
+      <default>'2947'</default>
+      <summary>GPSD port</summary>
+    </key>
+    <key name="latlon-unit" type="i">
+      <default>0</default>
+      <summary>Latitude/longitude unit</summary>
+    </key>
+    <key name="alt-unit" type="i">
+      <default>0</default>
+      <summary>Altitude unit</summary>
+    </key>
+    <key name="speed-unit" type="i">
+      <default>0</default>
+      <summary>Speed unit</summary>
+    </key>
+    <key name="repo-name" type="s">
+      <default>'OSM'</default>
+      <summary>The active map-repository</summary>
+    </key>
+    <key name="repos" type="as">
+      <default>[]</default>
+      <summary>Map-repository definitions</summary>
+    </key>
+    <key name="auto-download" type="b">
+      <default>true</default>
+      <summary>Automatically download map-tiles as needed</summary>
+    </key>
+    <key name="no-redownload" type="b">
+      <default>false</default>
+      <summary>Avoid re-downloading cached tiles</summary>
+    </key>
+    <key name="tracklog-on" type="b">
+      <default>false</default>
+      <summary>Log tracks to a local file</summary>
+    </key>
+    <key name="track-dir" type="s">
+      <default>''</default>
+      <summary>The directory into which track-files are written</summary>
+    </key>
+    <key name="global-x" type="i">
+      <default>890</default>
+      <summary>Horizontal viewport-coordinate</summary>
+    </key>
+    <key name="global-y" type="i">
+      <default>515</default>
+      <summary>Vertical viewport-coordinate</summary>
+    </key>
+    <key name="global-zoom" type="i">
+      <default>3</default>
+      <summary>Viewport zoom-level</summary>
+    </key>
+    <key name="global-detail-zoom" type="i">
+      <default>0</default>
+      <summary>Detail scale-factor</summary>
+    </key>
+    <key name="myposition-lat" type="d">
+      <default>0</default>
+      <summary>`My position', latitude</summary>
+    </key>
+    <key name="myposition-lon" type="d">
+      <default>0</default>
+      <summary>`My position', longitude</summary>
+    </key>
+    <key name="fftimer-running" type="b">
+      <default>false</default>
+      <summary>Publish your location &amp; show others' locations</summary>
+    </key>
+    <key name="ffupdate-interval-minutes" type="d">
+      <default>5</default>
+      <summary>Friend-finder update interval, in minutes</summary>
+    </key>
+    <key name="me-msg" type="s">
+      <default>''</default>
+      <summary>Status-message to publish in the friend-finder</summary>
+    </key>
+    <key name="nick" type="s">
+      <default>''</default>
+      <summary>Friend-finder username</summary>
+    </key>
+    <key name="pass" type="s">
+      <default>''</default>
+      <summary>Friend-finder password</summary>
+    </key>
+    <key name="geocode-correction" type="i">
+      <default>0</default>
+      <summary>Number of seconds by which photo timestamps must be corrected for geocoding</summary>
+    </key>
+    <key name="geocode-timezone" type="i">
+      <default>13</default>
+      <summary>Treat photo-timestamps as being relative to this timezone (UTC=13)</summary>
+    </key>
+    <key name="hrm-bt-addr" type="s">
+      <default>''</default>
+      <summary>The Bluetooth address of your heartrate-monitor</summary>
+    </key>
+    <key name="hrm-on" type="b">
+      <default>false</default>
+      <summary>Use the heartrate-monitor specified in hrm_bt_addr</summary>
+    </key>
+  </schema>
+</schemalist>

=== modified file 'po/POTFILES.in'
--- po/POTFILES.in	2011-05-03 02:44:12 +0000
+++ po/POTFILES.in	2018-01-02 09:22:28 +0000
@@ -40,6 +40,6 @@
 
 # Data files
 data/foxtrotgps.desktop.in
-data/apps_foxtrotgps.schemas.in
+[type: gettext/gsettings]data/org.foxtrotgps.gschema.xml
 data/foxtrotgps.glade
 

=== modified file 'src/callbacks.c'
--- src/callbacks.c	2018-01-02 09:22:27 +0000
+++ src/callbacks.c	2018-01-02 09:22:28 +0000
@@ -654,7 +654,7 @@
 	
 	success = g_settings_set_string(
 					global_settings, 
-					"repo_name",
+					"repo-name",
 					global_curr_reponame);
 	
 	global_repo_nr = gtk_combo_box_get_active(combobox);
@@ -781,7 +781,7 @@
 	
 	success = g_settings_set_boolean(
 				global_settings, 
-				"auto_download",
+				"auto-download",
 				global_auto_download);
 	
 }
@@ -851,7 +851,7 @@
 	
 	success = g_settings_set_boolean(
 		global_settings, 
-		"fftimer_running",
+		"fftimer-running",
 		global_fftimer_running);
 	
 	global_show_friends = TRUE;
@@ -1201,12 +1201,12 @@
 	
 	g_settings_set_double(
 		global_settings, 
-		"myposition_lat",
+		"myposition-lat",
 		global_myposition.lat);
 
 	g_settings_set_double(
 		global_settings, 
-		"myposition_lon",
+		"myposition-lon",
 		global_myposition.lon);
 		
 	paint_myposition();
@@ -1423,7 +1423,7 @@
 	
 	success = g_settings_set_string(
 				global_settings, 
-				"track_dir",
+				"track-dir",
 				global_track_dir);
 	
 	dialog3 = lookup_widget(GTK_WIDGET(button), "dialog3");
@@ -1450,12 +1450,12 @@
 	
 	g_settings_set_double(
 		global_settings, 
-		"myposition_lat",
+		"myposition-lat",
 		0);
 
 	g_settings_set_double(
 		global_settings, 
-		"myposition_lon",
+		"myposition-lon",
 		0);
 	
 	repaint_all();
@@ -1901,7 +1901,7 @@
 	
 	success = g_settings_set_double(
 			global_settings, 
-			"ffupdate_interval_minutes",
+			"ffupdate-interval-minutes",
 			global_ffupdate_interval_minutes);
 
 }
@@ -1917,7 +1917,7 @@
 
 	success = g_settings_set_int(
 				global_settings, 
-				"speed_unit",
+				"speed-unit",
 				global_speed_unit);
 }
 
@@ -1932,7 +1932,7 @@
 	
 	success = g_settings_set_int(
 				global_settings, 
-				"speed_unit",
+				"speed-unit",
 				global_speed_unit);
 }
 
@@ -1947,7 +1947,7 @@
 	
 	success = g_settings_set_int(
 				global_settings, 
-				"speed_unit",
+				"speed-unit",
 				global_speed_unit);
 }
 
@@ -1962,7 +1962,7 @@
 	
 	success = g_settings_set_int(
 				global_settings, 
-				"alt_unit",
+				"alt-unit",
 				global_alt_unit);
 }
 
@@ -1977,7 +1977,7 @@
 
 	success = g_settings_set_int(
 				global_settings, 
-				"alt_unit",
+				"alt-unit",
 				global_alt_unit);
 }
 
@@ -1992,7 +1992,7 @@
 	
 	success = g_settings_set_int(
 				global_settings, 
-				"latlon_unit",
+				"latlon-unit",
 				global_latlon_unit);
 }
 
@@ -2007,7 +2007,7 @@
 
 	success = g_settings_set_int(
 				global_settings, 
-				"latlon_unit",
+				"latlon-unit",
 				global_latlon_unit);
 }
 
@@ -2021,7 +2021,7 @@
 	
 	success = g_settings_set_int(
 				global_settings, 
-				"latlon_unit",
+				"latlon-unit",
 				global_latlon_unit);
 }
 
@@ -2490,7 +2490,7 @@
 	entry = gtk_entry_get_text(GTK_ENTRY(widget));
 	
 	g_settings_set_string(	global_settings, 
-					"gpsd_host",
+					"gpsd-host",
 					entry);
 }
 
@@ -2506,7 +2506,7 @@
 	entry = gtk_entry_get_text(GTK_ENTRY(widget));
 	
 	g_settings_set_string(	global_settings, 
-					"gpsd_port",
+					"gpsd-port",
 					entry);
 }
 
@@ -3705,7 +3705,7 @@
 		track_log_open();
 		g_settings_set_boolean(
 				global_settings, 
-				"tracklog_on",
+				"tracklog-on",
 				TRUE);
 	}
 	else
@@ -3713,7 +3713,7 @@
 		track_log_close();
 		g_settings_set_boolean(
 				global_settings, 
-				"tracklog_on",
+				"tracklog-on",
 				FALSE);
 	}
 }
@@ -3744,7 +3744,7 @@
 	const char *me_msg;
 
 	me_msg = gtk_entry_get_text(GTK_ENTRY(editable));
-	g_settings_set_string(global_settings, "me_msg", me_msg);
+	g_settings_set_string(global_settings, "me-msg", me_msg);
 }
 
 void
@@ -3756,7 +3756,7 @@
 	hrm_on = gtk_toggle_button_get_active(togglebutton);
 	
 	g_settings_set_boolean(	global_settings, 
-				"hrm_on",
+				"hrm-on",
 				hrm_on);
 
 	global_reconnect_hrm = TRUE;
@@ -3781,7 +3781,7 @@
 	entry = gtk_entry_get_text(GTK_ENTRY(editable));
 	
 	g_settings_set_string(global_settings, 
-				"hrm_bt_addr",
+				"hrm-bt-addr",
 				entry);
 	
 	global_hrm_bt_addr = g_strdup(entry);
@@ -3807,7 +3807,7 @@
 
 	success = g_settings_set_int(
 				global_settings, 
-				"global_detail_zoom",
+				"global-detail-zoom",
 				global_detail_zoom);
 
 	repaint_all ();
@@ -3822,7 +3822,7 @@
 
 	success = g_settings_set_int(
 				global_settings, 
-				"global_detail_zoom",
+				"global-detail-zoom",
 				global_detail_zoom);
 
 	repaint_all ();
@@ -3835,7 +3835,7 @@
 	global_no_redownload = !gtk_toggle_button_get_active (togglebutton);
 
 	g_settings_set_boolean (global_settings, 
-	                       "no_redownload",
+	                       "no-redownload",
 	                       global_no_redownload);
 }
 

=== modified file 'src/geo_photos.c'
--- src/geo_photos.c	2018-01-02 09:22:27 +0000
+++ src/geo_photos.c	2018-01-02 09:22:28 +0000
@@ -237,9 +237,9 @@
 		gtk_label_set_label (dbinsert_label, label_txt);
 		g_free (label_txt); label_txt = NULL;
 		
-		tmp   = g_settings_get_int(global_settings, "geocode_timezone");
+		tmp   = g_settings_get_int(global_settings, "geocode-timezone");
 		geocode_timezone = (tmp) ? tmp - 13 : 0 ;
-		geocode_correction = g_settings_get_int(global_settings, "geocode_correction");
+		geocode_correction = g_settings_get_int(global_settings, "geocode-correction");
 		
 		
 		label1 = lookup_widget(dialog_photo_correlate, "label172");
@@ -638,8 +638,8 @@
 	label_txt = g_strdup_printf (_("  %d:00h"), geocode_timezone);
 	gtk_label_set_label(GTK_LABEL(label1), label_txt);
 	
-	g_settings_set_int(global_settings, "geocode_correction", geocode_correction);
-	g_settings_set_int(global_settings, "geocode_timezone", geocode_timezone+13);
+	g_settings_set_int(global_settings, "geocode-correction", geocode_correction);
+	g_settings_set_int(global_settings, "geocode-timezone", geocode_timezone+13);
 	
 	gtk_widget_hide(dialog_image_data);
 	gtk_widget_show(dialog_photo_correlate);

=== modified file 'src/init.c'
--- src/init.c	2018-01-02 09:22:27 +0000
+++ src/init.c	2018-01-02 09:22:28 +0000
@@ -40,7 +40,7 @@
 	global_home_dir = getenv("HOME");
 
 	global_settings	= g_settings_new(SCHEMA);
-	global_curr_reponame	= g_settings_get_string(global_settings, "repo_name");
+	global_curr_reponame	= g_settings_get_string(global_settings, "repo-name");
 
 
 	if(global_curr_reponame == NULL)
@@ -53,16 +53,16 @@
 	
 	global_x = g_settings_get_int(
 				global_settings, 
-				"global_x");
+				"global-x");
 	global_y = g_settings_get_int(
 				global_settings, 
-				"global_y");
+				"global-y");
 	global_zoom = g_settings_get_int(
 				global_settings, 
-				"global_zoom");
+				"global-zoom");
 	global_detail_zoom = g_settings_get_int (
 				global_settings,
-				"global_detail_zoom");
+				"global-detail-zoom");
 
 
 	if(global_zoom <= 2) 
@@ -74,7 +74,7 @@
 
 
 	global_server = g_settings_get_string (global_settings,
-						 "gpsd_host");
+						 "gpsd-host");
 	if (global_server == NULL)
 	{
 		printf("gconf GPSD address not set\n");
@@ -82,7 +82,7 @@
 	}
 
 	global_port = g_settings_get_string (global_settings,
-					       "gpsd_port");
+					       "gpsd-port");
 	if (global_port == NULL)
 	{
 		printf("gconf GPSD port not set\n");
@@ -91,10 +91,10 @@
 
 	global_no_redownload = g_settings_get_boolean(
 				global_settings,
-				"no_redownload");
+				"no-redownload");
 
 	global_auto_download = g_settings_get_boolean(global_settings, 
-	                                             "auto_download");
+	                                             "auto-download");
 }
 
 void
@@ -119,12 +119,12 @@
 	global_settings	= g_settings_new(SCHEMA); 
 	nick			= g_settings_get_string(global_settings, "nick");
 	pass			= g_settings_get_string(global_settings, "pass");
-	me_msg			= g_settings_get_string(global_settings, "me_msg");
-	hrm_bt_addr		= g_settings_get_string(global_settings, "hrm_bt_addr");
+	me_msg			= g_settings_get_string(global_settings, "me-msg");
+	hrm_bt_addr		= g_settings_get_string(global_settings, "hrm-bt-addr");
 	
-	global_speed_unit	= g_settings_get_int(global_settings, "speed_unit");
-	global_alt_unit		= g_settings_get_int(global_settings, "alt_unit");
-	global_latlon_unit	= g_settings_get_int(global_settings, "latlon_unit");
+	global_speed_unit	= g_settings_get_int(global_settings, "speed-unit");
+	global_alt_unit		= g_settings_get_int(global_settings, "alt-unit");
+	global_latlon_unit	= g_settings_get_int(global_settings, "latlon-unit");
 
 	widget = lookup_widget(window1, "button3");
 	gtk_toggle_tool_button_set_active(GTK_TOGGLE_TOOL_BUTTON(widget),
@@ -183,7 +183,7 @@
 	widget = lookup_widget(window1, "vscale1");
 	gtk_range_set_value(GTK_RANGE(widget), (double) global_zoom);
 	
-	global_track_dir	= g_settings_get_string(global_settings, "track_dir");
+	global_track_dir	= g_settings_get_string(global_settings, "track-dir");
 	if(!global_track_dir)
 		global_track_dir = g_strdup_printf("%s/Maps/",global_home_dir);
 	
@@ -197,13 +197,13 @@
 	gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget),
 	                             !global_no_redownload);
 
-	hrm_on = g_settings_get_boolean(global_settings, "hrm_on");
+	hrm_on = g_settings_get_boolean(global_settings, "hrm-on");
 	widget = lookup_widget(window1, "checkbutton18");
 	gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), hrm_on);
 
 	gconf_fftimer_running = FALSE;
 
-	global_ffupdate_interval_minutes = g_settings_get_double(global_settings, "ffupdate_interval_minutes");
+	global_ffupdate_interval_minutes = g_settings_get_double(global_settings, "ffupdate-interval-minutes");
 	
 	if(!global_ffupdate_interval_minutes)
 		global_ffupdate_interval_minutes = 5;
@@ -226,19 +226,19 @@
 		
 	
 
-	str = g_settings_get_string(global_settings, "gpsd_host");
+	str = g_settings_get_string(global_settings, "gpsd-host");
 	widget = lookup_widget(window1, "entry3");
 	if(str)
 		gtk_entry_set_text(GTK_ENTRY(widget), g_strdup(str));
 	g_free(str);
 	
-	str = g_settings_get_string(global_settings, "gpsd_port");
+	str = g_settings_get_string(global_settings, "gpsd-port");
 	widget = lookup_widget(window1, "entry4");
 	if(str)
 		gtk_entry_set_text(GTK_ENTRY(widget), g_strdup(str));
 	g_free(str);
 	
-	if (g_settings_get_boolean(global_settings, "tracklog_on")) {
+	if (g_settings_get_boolean(global_settings, "tracklog-on")) {
 		widget = lookup_widget(window1, "checkbutton17");
 		gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(widget), TRUE);
 	}
@@ -254,8 +254,8 @@
 	}
 	
 	
-	global_myposition.lat = g_settings_get_double(global_settings, "myposition_lat");
-	global_myposition.lon = g_settings_get_double(global_settings, "myposition_lon");
+	global_myposition.lat = g_settings_get_double(global_settings, "myposition-lat");
+	global_myposition.lon = g_settings_get_double(global_settings, "myposition-lon");
 	paint_myposition();
 }
 

=== modified file 'src/map_management.c'
--- src/map_management.c	2018-01-02 09:22:27 +0000
+++ src/map_management.c	2018-01-02 09:22:28 +0000
@@ -313,15 +313,15 @@
 	
 	success = g_settings_set_int(
 				global_settings, 
-				"global_x",
+				"global-x",
 				global_x);
 	success = g_settings_set_int(
 				global_settings, 
-				"global_y",
+				"global-y",
 				global_y);
 	success = g_settings_set_int(
 				global_settings, 
-				"global_zoom",
+				"global-zoom",
 				global_zoom);
 }
 

